net.minecraft.client.model

## Class ModelSpider

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraft.client.model.ModelSpider

-     public class ModelSpider
      extends ModelBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ModelRenderer` | `spiderBody`
    `ModelRenderer` | `spiderHead`
    `ModelRenderer` | `spiderLeg1`
    `ModelRenderer` | `spiderLeg2`
    `ModelRenderer` | `spiderLeg3`
    `ModelRenderer` | `spiderLeg4`
    `ModelRenderer` | `spiderLeg5`
    `ModelRenderer` | `spiderLeg6`
    `ModelRenderer` | `spiderLeg7`
    `ModelRenderer` | `spiderLeg8`
    `ModelRenderer` | `spiderNeck`

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelSpider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)`
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)`

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `getRandomModelBox, getTextureOffset, setLivingAnimations, setTextureOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### spiderHead

          public ModelRenderer spiderHead

    - #### spiderNeck

          public ModelRenderer spiderNeck

    - #### spiderBody

          public ModelRenderer spiderBody

    - #### spiderLeg1

          public ModelRenderer spiderLeg1

    - #### spiderLeg2

          public ModelRenderer spiderLeg2

    - #### spiderLeg3

          public ModelRenderer spiderLeg3

    - #### spiderLeg4

          public ModelRenderer spiderLeg4

    - #### spiderLeg5

          public ModelRenderer spiderLeg5

    - #### spiderLeg6

          public ModelRenderer spiderLeg6

    - #### spiderLeg7

          public ModelRenderer spiderLeg7

    - #### spiderLeg8

          public ModelRenderer spiderLeg8

  - ### Constructor Detail

    - #### ModelSpider

          public ModelSpider()

  - ### Method Detail

    - #### render

          public void render(Entity par1Entity,
                    float par2,
                    float par3,
                    float par4,
                    float par5,
                    float par6,
                    float par7)

      Overrides:
        `render` in class `ModelBase`

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

      Overrides:
        `setRotationAngles` in class `ModelBase`